#1639 closed defect (fixed)

tar tests contain hardcoded reference to pax

Reported by: Ralf Corsepius Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

tar01/Makefile.am and tar02/Makefile.am carry hard-coded references to "pax".

This causes build-breakdowns for users, who don't have pax installed (Though pax is POSIX, it still is an exotic tool many users will not have installed rsp. may even not be available on less common build hosts).

One way to fix this issue would be to check for presense of pax inside of the corresponding configure.ac and conditionalize using pax.

Another alternative would be to ship prebuilt binary tarballs.

Attachments (1)

pr1639.diff (2.5 KB) - added by Joel Sherrill on Jul 28, 2010 at 1:31:23 PM.
First attempt at autoconf code to check for pax/tar

Download all attachments as: .zip

Change History (4)

Changed on Jul 28, 2010 at 1:31:23 PM by Joel Sherrill

Attachment: pr1639.diff added

First attempt at autoconf code to check for pax/tar

comment:1 Changed on Jul 30, 2010 at 8:15:19 AM by Ralf Corsepius

Resolution: fixed
Status: newclosed

I went a slightly different road to resolve this issue.

comment:2 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.